include ../test_defines.mk

TARGET = run_test
SOURCES += $(wildcard ./*.c)
OBJECTS = $(addprefix $(OBJDIR)/,$(notdir $(SOURCES:.c=.o)))

WRAP_FUNC=-Wl,--wrap=
MOCK_WRAP= amxd_object_emit_signal \
           amxm_execute_function \
		   amxm_so_open \
		   amxb_call \
		   amxb_be_who_has \
		   netmodel_initialize \
		   netmodel_closeQuery \
		   netmodel_openQuery_getAddrs \
		   netmodel_openQuery_getFirstParameter \
		   netmodel_getAddrs

LDFLAGS += -g $(addprefix $(WRAP_FUNC),$(MOCK_WRAP))

include ../test_targets.mk